Contents
Index 🔎︎

# GoSub...Return Statement

Calls a subroutine that is indicated by a label inside a Sub or a Function. The statements following the label are executed until the next Return statement. Afterwards, the program continues with the statement that follows the GoSub statement.

### Syntax:

    GoSub label[:]

### Parameters:

label: A line identifier indicating where to continue execution. The scope of a label in that of the routine it belongs to.

The GoSub statement calls a local subroutine indicated by a label from within a subroutine or a function. The name of the label must end with a colon (":").

      Sub/Function foo
          ' statements
          GoSub label
          ' statements
          Exit Sub/Function
      label:
          ' statements
          Return
      End Sub/Function

Yoo sagantaan hima deebii of keessaatti qabu GoSubdurfamuu baate, LibreOffice Basic ergaa dogongoraa deebisa. sagantaan Sub ykn Function dhiisuu dhugoomsuuf osoo hima Return bira hinga'inExit Sub ykn Exit Function fayyadami.

Fakkeenyi armaan gadii faayidaa GoSub and Return mul'isa.Kutaa sagantaa al-lama raawwachuun,sagantaan iskuweer ruuttii lakkofsota lamaa kan fayyadamaan itti gale shallaga.

### Example:

    Sub ExampleGoSub
    Dim iInputa As Single
    Dim iInputb As Single
    Dim iInputc As Single
        iInputa = Int(InputBox("Enter the first number: ","NumberInput"))
        iInputb = Int(InputBox("Enter the second number: ","NumberInput"))
        iInputc=iInputa
        GoSub SquareRoot
        Print "The square root of";iInputa;" is";iInputc
        iInputc=iInputb
        GoSub SquareRoot
        Print "The square root of";iInputb;" is";iInputc
        Exit Sub
    SquareRoot:
        iInputc=sqr(iInputc)
        Return
    End Sub

Matadureewwan Walfakkatan

GoTo Statement

On...GoSub Statement; On...GoTo Statement